YepAPI
AI Models

Command A+

Command A+ is Cohere's flagship model for enterprise agentic workflows. Cohere Enterprise Agentic Flagship, with a 192K token context window.

POST/v1/ai/chat
$0.01/call

Overview

Command A+ is Cohere's flagship model for enterprise agentic workflows. Cohere Enterprise Agentic Flagship, with a 192K token context window.

PropertyValue
Model IDcohere/command-a-plus
Context Window192,000 tokens
Max Output64,000 tokens
Input Price$0.44 / 1M tokens
Output Price$2.22 / 1M tokens

Usage

const res = await fetch('https://api.yepapi.com/v1/ai/chat', {
  method: 'POST',
  headers: {
    'x-api-key': 'YOUR_API_KEY',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    model: 'cohere/command-a-plus',
    messages: [{ role: 'user', content: 'Using the provided tools, look up the order status for order 4821 and draft a reply to the customer.' }],
  }),
});
const { data } = await res.json();
console.log(data.message.content);
curl -X POST https://api.yepapi.com/v1/ai/chat \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"model": "cohere/command-a-plus", "messages": [{"role": "user", "content": "Using the provided tools, look up the order status for order 4821 and draft a reply to the customer."}]}'

Request Body

ParameterTypeRequiredDescriptionDefault
modelstringYesModel ID (e.g. cohere/command-a-plus)—
messagesMessage[]YesArray of { role, content } objects—
maxTokensnumberNoMaximum tokens in the responseModel default
temperaturenumberNoSampling temperature (0.0–2.0)1.0
topPnumberNoNucleus sampling threshold1.0
frequencyPenaltynumberNoPenalize repeated tokens0
presencePenaltynumberNoPenalize tokens already present0
streambooleanNoEnable SSE streamingfalse
Info

All AI models use the /v1/ai/chat endpoint. Specify the model with the model field.

Response

{
  "ok": true,
  "data": {
    "model": "cohere/command-a-plus",
    "message": {
      "role": "assistant",
      "content": "Order 4821 shipped on the 24th and is out for delivery today. Draft: \"Good news \u2014 your order is out for delivery today. Here is the tracking link; reply here if it has not arrived by 6pm.\""
    },
    "usage": {
      "promptTokens": 16,
      "completionTokens": 245,
      "totalTokens": 261
    }
  }
}

Streaming

Set "stream": true to receive Server-Sent Events. Each chunk contains a delta object:

data: {"delta":{"content":"Use"},"model":"cohere/command-a-plus","index":0}
data: [DONE]
Under the Hood

We handle auth, billing, and response normalization — you just send messages.

On this page